<?php


namespace Modules\Member\Controllers\Admin;


use App\Http\Controllers\BaseController;
use Illuminate\Http\Request;
use Modules\Member\Services\SignService;

class Sign extends BaseController
{

	/*
	 * 签到记录
	 */
	public function index(Request $request,SignService $service){
		try {
			$this->data['data'] = $service->getDataList($request);
		} catch (\Throwable $th) {
			$this->data['code'] = 0;
			$this->data['message'] = $th->getMessage();
		}

		return response()->json($this->data);
	}
}